package com.esignlive.guidance.forum;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class _23_8_21_TextTagExtraction {

	public static void main(String[] args) {
    	String API_KEY = "your_api_key";
		String API_URL = "https://sandbox.esignlive.com/api";
		
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
		//Create a DRAFT transaction
		DocumentPackage pkg = PackageBuilder.newPackageNamed("Text Tag Example Package")
                .withSigner(SignerBuilder.newSignerWithEmail("signer1@mailinator.com")
                        .withFirstName("John")
                        .withLastName("Smith")
                        .withCustomId("Signer1"))
                .withDocument(DocumentBuilder.newDocumentWithName("Sample Contract")
                        .fromFile("path_to_pdf\\sample_contract (1).pdf")
                        .withExtractionType(ExtractionType.TEXT_TAGS)
                        .enableExtraction())
                .withStatus(PackageStatus.DRAFT)
                .build();
		
		PackageId packageId = eslClient.createPackageOneStep(pkg);
		
		System.out.println(packageId);
		
		//Add reminders
		ReminderSchedule reminderScheduleToCreate = ReminderScheduleBuilder.forPackageWithId(packageId)   
				 .withDaysUntilFirstReminder(1)   
				 .withDaysBetweenReminders(1)   
				 .withNumberOfRepetitions(5)   
				 .build();   
		 
		eslClient.getReminderService().createReminderScheduleForPackage(reminderScheduleToCreate); 
		
		//Send Transaction
		eslClient.sendPackage(packageId);

	}

}
